HaruPage::getHorizontalScaling
HaruPage::getLineJoin
HaruPage
PHP Manual

# HaruPage::getLineCap

Get the current line cap style

### Description

int HaruPage::getLineCap ( void )

Get the current line cap style.

### Parameters

This function has no parameters.

### Return Values

Returns the current line cap style. The result value is one of the following:

- `HaruPage::BUTT_END` - the line is squared off at the endpoint of the path.
- `HaruPage::ROUND_END` - the end of the line becomes a semicircle with center in the end point of the path.
- `HaruPage::PROJECTING_SCUARE_END` - the line continues to the point that exceeds half of the stroke width the end point.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruPage::setLineCap